# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2020-11-26 12:25
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('providers', '0005_auto_20201105_1014'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalProviderPayorRut',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False, verbose_name='created at')),
                ('rut', models.CharField(max_length=20, verbose_name='rut')),
                ('name', models.CharField(blank=True, max_length=255, verbose_name='name')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('provider', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='providers.Provider')),
            ],
            options={
                'verbose_name': 'historical provider payor rut',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='ProviderPayorRut',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('rut', models.CharField(max_length=20, verbose_name='rut')),
                ('name', models.CharField(blank=True, max_length=255, verbose_name='name')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='providers.Provider', verbose_name='provider')),
            ],
            options={
                'verbose_name': 'provider payor rut',
                'verbose_name_plural': 'provider payor ruts',
                'permissions': (('search_provider_ayorrut', 'Can search provider payor ruts'),),
            },
        ),
        migrations.RemoveField(
            model_name='historicalinvoice',
            name='payment_kind',
        ),
        migrations.RemoveField(
            model_name='invoice',
            name='payment_kind',
        ),
        migrations.AddField(
            model_name='historicalinvoice',
            name='exento',
            field=models.PositiveIntegerField(default=0, verbose_name='exento'),
        ),
        migrations.AddField(
            model_name='historicalinvoice',
            name='kind_load',
            field=models.PositiveSmallIntegerField(choices=[(1, 'Manual'), (2, 'No encontrado'), (3, 'Multiples proveedores')], default=1, verbose_name='kind_load'),
        ),
        migrations.AddField(
            model_name='historicalpayment',
            name='kind',
            field=models.PositiveSmallIntegerField(choices=[(1, 'Cheque'), (2, 'Transferencia'), (3, 'Contado'), (4, 'Orden de compra'), (5, 'Otro')], default=1, verbose_name='tipo de pago'),
        ),
        migrations.AddField(
            model_name='invoice',
            name='exento',
            field=models.PositiveIntegerField(default=0, verbose_name='exento'),
        ),
        migrations.AddField(
            model_name='invoice',
            name='kind_load',
            field=models.PositiveSmallIntegerField(choices=[(1, 'Manual'), (2, 'No encontrado'), (3, 'Multiples proveedores')], default=1, verbose_name='kind_load'),
        ),
        migrations.AddField(
            model_name='payment',
            name='kind',
            field=models.PositiveSmallIntegerField(choices=[(1, 'Cheque'), (2, 'Transferencia'), (3, 'Contado'), (4, 'Orden de compra'), (5, 'Otro')], default=1, verbose_name='tipo de pago'),
        ),
        migrations.AlterField(
            model_name='historicalinvoice',
            name='tax',
            field=models.PositiveIntegerField(default=0, verbose_name='impuesto adicional'),
        ),
        migrations.AlterField(
            model_name='invoice',
            name='provider',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='providers.Provider', verbose_name='provider'),
        ),
        migrations.AlterField(
            model_name='invoice',
            name='tax',
            field=models.PositiveIntegerField(default=0, verbose_name='impuesto adicional'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='provider',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='providers.Provider', verbose_name='provider'),
        ),
    ]
